This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 589883 - [abrt] crash in OutWW8_SwTxtNode
[abrt] crash in OutWW8_SwTxtNode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:e194e3815687b896a2d0363415d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 03:54 EDT by Daniel Demus
Modified: 2010-06-08 09:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 09:19:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (106.22 KB, text/plain)
2010-05-07 03:54 EDT, Daniel Demus
no flags Details
The original docx, that caused the crash (166.80 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2010-05-07 04:28 EDT, Daniel Demus
no flags Details

  None (edit)
Description Daniel Demus 2010-05-07 03:54:34 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/openoffice.org3/program/swriter.bin -writer file:///home/demus/Dropbox/ITU/Enterprise%20architecture/Miniprojekt/Miniprojekt%20kirn.docx
comment: I was attempting to save a file opened from .docx as a .doc file.
component: openoffice.org
crash_function: raise
executable: /usr/lib64/openoffice.org3/program/swriter.bin
global_uuid: e194e3815687b896a2d0363415dc3b672c749cc6
kernel: 2.6.32.11-99.fc12.x86_64
package: openoffice.org-writer-1:3.1.1-19.28.fc12
rating: 4
reason: Process /usr/lib64/openoffice.org3/program/swriter.bin was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Open a docx file
2. Make some changes
3. Save as ... Word 2003 document
Comment 1 Daniel Demus 2010-05-07 03:54:37 EDT
Created attachment 412252 [details]
File: backtrace
Comment 2 Caolan McNamara 2010-05-07 04:09:13 EDT
Can you attach the source document which crashed when you tried to save it as .doc
Comment 3 Daniel Demus 2010-05-07 04:28:24 EDT
Created attachment 412260 [details]
The original docx, that caused the crash

Here you go.

File file naturally doesn't contain the edits I made before saving, but those only consisted of adding Blah blah at the end of the first section and a heading a bit later on.
Comment 4 Caolan McNamara 2010-05-07 09:12:33 EDT
I see that this has been fixed in later versions, I'll backport the little fix for this.
Comment 5 Caolan McNamara 2010-05-07 09:21:32 EDT
Will be good in >= 3.1.1-19.30.fc12
Comment 6 Fedora Update System 2010-05-08 03:56:20 EDT
openoffice.org-3.1.1-19.30.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.30.fc12
Comment 7 Fedora Update System 2010-05-10 13:07:15 EDT
openoffice.org-3.1.1-19.30.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.30.fc12
Comment 8 Daniel Demus 2010-05-14 07:02:05 EDT
Package: openoffice.org-writer-1:3.1.1-19.28.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Was starting Draw after just having installed it. Writer was running already

Note You need to log in before you can comment on or make changes to this bug.